Subject: PHP Session lifetime
Description

Hello Robert,

as discussed on the phone, there is an issue with FLOW3's session lifetime. FLOW3 uses the PHP Session, by default. Thus, session
behaviour is influenced by the php.ini configuration. Therefore, the session garbage collector removes sessions every 24 minutes
(based on some probability parameters). And it seems, that up to now TYPO3.FLOW3.session.inactivityTimeout doesn't set the 
session.gc_maxlifetime of PHP to make longer session lifetimes possible.

Best regards
Joachim

History
#1 - 2012-08-27 10:23 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#2 - 2012-08-27 10:24 - Karsten Dambekalns
- Category set to Session
- Has patch set to No

#3 - 2012-12-12 08:40 - Karsten Dambekalns
- Status changed from New to Resolved
- Target version set to 2.0 beta 1
- % Done changed from 0 to 100

The PHP session is no longer used.
